import { build, mergeConfig } from 'vite';
import * as path from 'path';
export async function buildSSRApp(config, options) {
    const workspaceRoot = options?.workspaceRoot ?? process.cwd();
    const rootDir = path.relative(workspaceRoot, config.root || '.') || '.';
    const ssrBuildConfig = mergeConfig(config, {
        build: {
            ssr: true,
            rollupOptions: {
                input: options?.entryServer || path.resolve(rootDir, './src/main.server.ts'),
            },
            outDir: options?.ssrBuildDir || path.resolve('dist', rootDir, 'ssr'),
        },
    });
    await build(ssrBuildConfig);
}
//# sourceMappingURL=build-ssr.js.map